# Gst::FfmpegColorSpace Class Reference
[gstreamermm Plugins]

A Wrapper for the ffmpegcolorspace plugin. More...

Inherits Gst::BaseTransform.

Collaboration diagram for Gst::FfmpegColorSpace:
[legend]

List of all members.

## Public Member Functions

virtual | ~FfmpegColorSpace ()
GstFFMpegCsp* | gobj ()
| Provides access to the underlying C GObject.
const GstFFMpegCsp* | gobj () const
| Provides access to the underlying C GObject.
GstFFMpegCsp* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Static Public Member Functions

static Glib::RefPtr < FfmpegColorSpace > | create ()
| Creates a new ffmpegcolorspace plugin with a unique name.
static Glib::RefPtr < FfmpegColorSpace > | create (const Glib::ustring& name)
| Creates a new ffmpegcolorspace plugin with the given name.

## Protected Member Functions

| FfmpegColorSpace ()
| FfmpegColorSpace (const Glib::ustring& name)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gst::FfmpegColorSpace > | wrap (GstFFMpegCsp* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the ffmpegcolorspace plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::FfmpegColorSpace::~FfmpegColorSpace | ( |  | ) | `[virtual]`

Gst::FfmpegColorSpace::FfmpegColorSpace | ( |  | ) | `[protected]`

Gst::FfmpegColorSpace::FfmpegColorSpace | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<FfmpegColorSpace> Gst::FfmpegColorSpace::create | ( |  | ) | `[static]`

Creates a new ffmpegcolorspace plugin with a unique name.

static Glib::RefPtr<FfmpegColorSpace> Gst::FfmpegColorSpace::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new ffmpegcolorspace plugin with the given name.

const GstFFMpegCsp* Gst::FfmpegColorSpace::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstFFMpegCsp* Gst::FfmpegColorSpace::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstFFMpegCsp* Gst::FfmpegColorSpace::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseTransform.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::FfmpegColorSpace > wrap | ( | GstFFMpegCsp * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/ffmpegcolorspace.h